//  Copyright (c) 2013 Open Planet Software. All rights reserved.


varying vec2 texCoordVarying;
uniform sampler2D sourceImage;

void main()
{
    vec4 textureColor = texture2D(sourceImage, texCoordVarying);
    textureColor = (textureColor + 0.25) * 4.0;

	gl_FragColor = vec4( floor( textureColor.x ) / 4.0, floor( textureColor.y ) / 4.0, floor( textureColor.z ) / 4.0, 1.0 );
}
